# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename ansidiff

Name:               nodejs-ansidiff
Version:            1.0.0
Release:            7%{?dist}
Summary:            ANSI colored text diffs

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/ansidiff
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
Source1:            LICENSE.Fedora

BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(diff)

Requires:           npm(diff)

%description
A small node.js library for ANSI colored text diffs.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

cp %{SOURCE1} .

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansidiff
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/ansidiff

%nodejs_symlink_deps

%files
# https://github.com/trentm/node-ansidiff/pull/2
%doc README.md CHANGES.md LICENSE.Fedora
%{nodejs_sitelib}/ansidiff/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial packaging for Fedora.
